Workspace/Role
هذه الصفحة غير متوفرة باللغة العربية. يتم عرض النسخة الإنجليزية.
Unassign a custom workspace role from users
Removes `auth_assignment` rows for the given users. Users that do not have the role are silently skipped.
Authorization
BearerAuthObject AuthorizationBearer <token>
In: header
Path Parameters
id*string
Workspace UUID
Format
uuidroleId*string
auth_item.name of the custom role
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v2/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/roles/string/unassign" \ -H "Content-Type: application/json" \ -d '{}'{ "usersCount": 1}Empty
{ "message": { "error": "Your request was made with invalid credentials." }}{ "message": { "error": "You are not allowed to perform this action." }}{ "message": { "error": "Page not found" }}